Subject: bug#46038: guix 1.3.0rc1 test failure: channels-news, one entry

From: Ludovic Courtès <[email-masked]>
Date: Thu, 06 May 2021 12:46:48 +0200

Hi,

Vagrant Cascadian <[email-masked]> skribis:

> So now the question is what to do; should tests be able to assume a
> UTF-8 locale?
>
> Should I try to adapt the test to work in C?
>
> Should I workaround it in the Debian packaging by forcing to use a UTF-8
> locale (on Debian, the only one definitely available is C.UTF-8, which
> isn't in upstream glibc, and thus not in guix itself).

Since it’s the only test that makes this assumption, you can choose
whichever option sounds best to you.  In Guix proper, I’d rather assume
we’re running in a UTF-8 locale.  If that’s not a good option for you,
you could patch this one non-ASCII character.

HTH!

Ludo’.